{ inputs, ... }: {
  flake-file.inputs = {
    nixvim.url = "github:nix-community/nixvim/nixos-26.05";
    nixvim.inputs.nixpkgs.follows = "nixpkgs";
  };

  flake.modules.homeManager.nixvim = {
    imports = [
      inputs.nixvim.homeModules.nixvim
    ];

    programs.nixvim = {
      enable = true;
      imports = [ ./_nixvim-config ];
    };

    home.sessionVariables.EDITOR = "nvim";
  };
}
